Subject: Re: bug#68254: EWW ‘readable’ by default

From: Eli Zaretskii <[email-masked]>
Date: Mon, 18 Mar 2024 14:37:54 +0200

> Date: Sun, 17 Mar 2024 12:24:26 -0700
> Cc: [email-masked]
> From: Jim Porter <[email-masked]>
> 
> Here's a patch for this. It turns 'eww-readable' into a toggle (using 
> the same semantics as minor modes), and also adds an option to prevent 
> adding a new history entry for each call.

Thanks.

> +When called interactively, this command toggles the display of the
> +readable parts.  With a positive prefix argument, always display the
> +readable parts, and with a zero or negative prefix, display the full
> +page.

The imperative form ("display") is what we use in the doc strings, but
it is not really appropriate for the manual.  Here we say "the
function displays" or "it displays" instead, which is consistent with
the first sentence in the above paragraph.

> +(defun eww-readable (&optional arg)
> +  "Toggle display of only the main \"readable\" parts of the current web page.
>  This command uses heuristics to find the parts of the web page that
> -contains the main textual portion, leaving out navigation menus and
> -the like."
> -  (interactive nil eww-mode)
> +contains the main textual portion, leaving out navigation menus and the

"contain" (since it refers to "parts", in plural).

> +If called interactively, toggle the display of the readable parts.  If
> +the prefix argument is positive, display the readable parts, and if it
> +is zero or negative, display the full page.
> +
> +If called from Lisp, toggle the display of the readable parts if ARG is
> +`toggle'.  Display the readable parts if ARG is nil, omitted, or is a
> +positive number.  Display the full page if ARG is a negative number."

This doc string should mention eww-readable-adds-to-history.